Bug 33080 - JIT error only on ARMV7
Summary: JIT error only on ARMV7
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Mono runtime / AOT compiler (show other bugs)
Version: XI 8.10
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2015-08-13 18:26 UTC by Arren Mund
Modified: 2015-08-14 14:06 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Example of the crash (2.61 MB, application/zip)
2015-08-13 18:26 UTC, Arren Mund
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Arren Mund 2015-08-13 18:26:51 UTC
Created attachment 12496 [details]
Example of the crash

Running the attached project will crash with the following error if run on an ARMv7 device or targeting just ARMv7.  The attached project is setup to target just ARMv7.

Attempting to JIT compile method '(wrapper runtime-invoke) <Module>:runtime_invoke_void__this___long_long_double (object,intptr,intptr,intptr)' while running with --aot-only. See http://docs.xamarin.com/ios/about/limitations for more information.
Comment 1 Zoltan Varga 2015-08-14 02:17:36 UTC
As a workaround, change the signature of the GenericValue<T> constructor to:

public GenericValue(DimensionId dimension, UnitId unit, int dummy, T value)
Comment 2 Arren Mund 2015-08-14 10:08:30 UTC
I can confirm the workaround works.  Can you shed any light into why it works?
Comment 3 Zoltan Varga 2015-08-14 14:06:28 UTC
Fixed in mono master b76558e80ff01cb6ccd3627aedb9c4084636da61. The fix will be in a later xamarin.ios release.